<template>
  <div class="my-5">
    <p class="font-weight-bold">Posts Table component</p>
    <div>
      <br>
      <div class="">
        <v-data-table
          :headers="headers"
          :items="desserts"
          :items-per-page="15"
          class="elevation-1"
        ></v-data-table>
        <!--        <b-table striped hover :items="posts" :fields="fields"></b-table>-->
      </div>
    </div>

  </div>
</template>

<script>

export default {
  name: 'PostsTable',
  props: {
    posts: [Array, Object]
  },
  data () {
    return {
      headers: [
        {
          text: 'Date',
          value: 'date',
        },
        {
          text: 'Message',
          value: 'copy'
        },
        {
          text: 'Type',
          value: 'type'
        },
        {
          text: 'Network',
          value: 'network'
        },
        {
          text: 'Impressions',
          value: 'impressions'
        },
      ],
      desserts: this.posts
    }
  },
}
</script>
